//
// Created by nvidia on 24-10-14.
//

#ifndef TRAIN_SAVEDEBUGIMAGEENGINE_H
#define TRAIN_SAVEDEBUGIMAGEENGINE_H

#include "AppCommon.h"
#include "EngineBase.h"
#include "EngineFactory.h"
#include "json/json.h"

class SaveDebugImageEngine : public ai_matrix::EngineBase
{
public:
    SaveDebugImageEngine();
    ~SaveDebugImageEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    ai_matrix::BaseConfig baseConfig_;

    std::string strPort0_;
    int iPicQuality_ = 80;
    std::vector<int> vecCompressionParams_;

};
ENGINE_REGIST(SaveDebugImageEngine)

#endif //TRAIN_SAVEDEBUGIMAGEENGINE_H
